import { CapabilityExecution } from "./capability-execution";
import { JsonObject } from "@angular/compiler-cli/ngcc/src/packages/entry_point";
import {Capability} from "./capability";

export interface CapabilityRequest {
  id: string;
  capability_name: string;
  capability: Capability;
  state: string;
  parameters: JsonObject;
  current_execution: CapabilityExecution;
  ingested: boolean;
  created_at: string;
  updated_at: string;
  type: string;
}
